require File.dirname(__FILE__) + '/../test_helper'
require 'user_openids_controller'

# Re-raise errors caught by the controller.
class UserOpenidsController; def rescue_action(e) raise e end; end

class UserOpenidsControllerTest < Test::Unit::TestCase
  fixtures :users, :user_openids

  def setup
    @controller = UserOpenidsController.new
    @request    = ActionController::TestRequest.new
    @response   = ActionController::TestResponse.new
    @user       = users(:quentin)
  end

  def test_should_get_index
    get :index, :user_id => @user.to_param
    assert_response :success
    assert assigns(:user_openids)
  end

  def test_should_get_new
    get :new, :user_id => @user.to_param
    assert_response :success
  end

  def test_should_create_user_openid
    openid_url = 'foobar.myopenid.com'
    assert_difference('UserOpenid.count') do
      post :create, :user_id => @user.to_param, :openid_url => openid_url
    end

    assert_redirected_to edit_user_url(@user)
  end

  def test_should_destroy_user_openid
    assert_difference('UserOpenid.count', -1) do
      delete :destroy, :id => 1, :user_id => @user.to_param
    end

    assert_redirected_to edit_user_url(@user)
  end
end
